<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.dts.dtsxultra">
        <permission name="android.permission.MODIFY_DEFAULT_AUDIO_EFFECTS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.android.upgradeguide">
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.associateassistant">
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SCHEDULE_EXACT_ALARM"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.permission.ACCESS_HN_DRAWBOARD_PERMISSION"/>
        <permission name="com.hihonor.permission.ASSOCIATE_ASSISTANT_SET_WIFI_MODE"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.hihonor.permission.PC_MANAGER_API"/>
        <permission name="com.hihonor.permission.SET_WINDOW_MODE"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.camera">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.hihonor.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.hihonor.permission.CONFIG_BRIGHTNESS"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN_PRIVILEGED"/>
        <permission name="com.hihonor.permission.sec.ACCESS_UDID"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.desktop.systemui">
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.CONTROL_VPN"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.hihonor.permission.PC_MANAGER_API"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.health">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.hihonor.permission.sec.ACCESS_UDID"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.hnbluetoothpencilmanager">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.bluetooth.permission.HONOR_BLUETOOTH_PERIPHERAL_PRIVILEGED"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.magichome">
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="com.hihonor.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.photos">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_ANIMATION_SCALE"/>
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.hihonor.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.hihonor.permission.GET_ALL_ENABLED_DISPLAY_PERMISSION"/>
        <permission name="com.hihonor.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.hihonor.permission.sec.ACCESS_UDID"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.smartshot">
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="hihonor.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="hihonor.android.permission.SET_CANNOT_UNINSTALLED_PERMISSION"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.visionengine">
        <permission name="android.permission.INSTALL_PACKAGE_UPDATES"/>
        <permission name="com.hihonor.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.hihonor.voiceengine">
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGE_UPDATES"/>
    </privapp-permissions>

</permissions>
